/*
 * InterfaceRechercheAvance.java
 *
 * Created on 22 septembre 2008, 16:10
 */

package org.cocktail.pie.client.interfaces;

import org.cocktail.application.client.IconeCocktail;
import org.cocktail.application.client.eof.EOOrgan;
import org.cocktail.application.client.eof.VFournisseur;
import org.cocktail.application.nibctrl.NibCtrl;
import org.cocktail.application.palette.CalendarCocktail;
import org.cocktail.application.palette.JPanelCocktail;

import com.webobjects.foundation.NSTimestamp;
import com.webobjects.foundation.NSTimestampFormatter;

import org.cocktail.fwkcktlwebapp.common.util.DateCtrl;

/**
 *
 * @author  mparadot
 */
public class InterfaceRechercheAvance extends JPanelCocktail {
	private NSTimestampFormatter formatteur;
	private NibCtrl responder;

    /** Creates new form InterfaceRechercheAvance */
    public InterfaceRechercheAvance() {
        initComponents();
        initInterfaceSuite();
    }

    public InterfaceRechercheAvance(FinderRechercheAvance responder) {
        initComponents();
        initInterfaceSuite();
        this.responder =responder;
        connectBouton(responder);
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel3 = new javax.swing.JPanel();
        jPanel1 = new javax.swing.JPanel();
        btPeriodeDebut = new org.cocktail.application.palette.JButtonCocktail();
        tfPeriodeDebut = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail1 = new org.cocktail.application.palette.JLabelCocktail();
        jPanel2 = new javax.swing.JPanel();
        btPeriodeFin = new org.cocktail.application.palette.JButtonCocktail();
        tfPeriodeFin = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail2 = new org.cocktail.application.palette.JLabelCocktail();
        jPanel4 = new javax.swing.JPanel();
        jPanel5 = new javax.swing.JPanel();
        tfFournisseurNom = new org.cocktail.application.palette.JTextFieldCocktail();
        btFournisseur = new org.cocktail.application.palette.JButtonCocktail();
        jLabelCocktail4 = new org.cocktail.application.palette.JLabelCocktail();
        jPanel6 = new javax.swing.JPanel();
        tfFournisseurCode = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail3 = new org.cocktail.application.palette.JLabelCocktail();
        jPanel7 = new javax.swing.JPanel();
        jLabelCocktail5 = new org.cocktail.application.palette.JLabelCocktail();
        tfRefNoPrest = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail6 = new org.cocktail.application.palette.JLabelCocktail();
        tfRefNoFact = new org.cocktail.application.palette.JTextFieldCocktail();
        jPanel8 = new javax.swing.JPanel();
        jLabelCocktail8 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail9 = new org.cocktail.application.palette.JLabelCocktail();
        tfHtMin = new org.cocktail.application.palette.JTextFieldCocktail();
        tfHtMax = new org.cocktail.application.palette.JTextFieldCocktail();
        tfTtcMin = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail10 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail11 = new org.cocktail.application.palette.JLabelCocktail();
        tfTtcMax = new org.cocktail.application.palette.JTextFieldCocktail();
        jPanel9 = new javax.swing.JPanel();
        btFermer = new org.cocktail.application.palette.JButtonCocktail();
        jPanel10 = new javax.swing.JPanel();
        btRechercher = new org.cocktail.application.palette.JButtonCocktail();
        jPanel11 = new javax.swing.JPanel();
        btClean = new org.cocktail.application.palette.JButtonCocktail();
        jPanel12 = new javax.swing.JPanel();
        jLabelCocktail12 = new org.cocktail.application.palette.JLabelCocktail();
        tfRefNoTitre = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail13 = new org.cocktail.application.palette.JLabelCocktail();
        tfRefNoBordereau = new org.cocktail.application.palette.JTextFieldCocktail();
        tfRefNoRecette = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail7 = new org.cocktail.application.palette.JLabelCocktail();
        jPanel13 = new javax.swing.JPanel();
        jLabelCocktail14 = new org.cocktail.application.palette.JLabelCocktail();
        tfRefUB = new org.cocktail.application.palette.JTextFieldCocktail();
        btOrgan = new org.cocktail.application.palette.JButtonCocktail();
        jLabelCocktail15 = new org.cocktail.application.palette.JLabelCocktail();
        tfRefCR = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail16 = new org.cocktail.application.palette.JLabelCocktail();
        tfRefSousCR = new org.cocktail.application.palette.JTextFieldCocktail();

        jPanel3.setBorder(javax.swing.BorderFactory.createTitledBorder("Période"));

        btPeriodeDebut.setText("jButtonCocktail1");

        tfPeriodeDebut.setText("jTextFieldCocktail1");

        jLabelCocktail1.setText("Du");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfPeriodeDebut, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 226, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btPeriodeDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(btPeriodeDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(tfPeriodeDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        btPeriodeFin.setText("jButtonCocktail1");

        tfPeriodeFin.setText("jTextFieldCocktail1");

        jLabelCocktail2.setText("    au");

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfPeriodeFin, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 245, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btPeriodeFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(btPeriodeFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(tfPeriodeFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        org.jdesktop.layout.GroupLayout jPanel3Layout = new org.jdesktop.layout.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel3Layout.createSequentialGroup()
                .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel3Layout.createSequentialGroup()
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(jPanel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        jPanel4.setBorder(javax.swing.BorderFactory.createTitledBorder("Client"));

        tfFournisseurNom.setText("jTextFieldCocktail5");

        btFournisseur.setText("jButtonCocktail3");

        jLabelCocktail4.setText("Nom");

        org.jdesktop.layout.GroupLayout jPanel5Layout = new org.jdesktop.layout.GroupLayout(jPanel5);
        jPanel5.setLayout(jPanel5Layout);
        jPanel5Layout.setHorizontalGroup(
            jPanel5Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel5Layout.createSequentialGroup()
                .add(jLabelCocktail4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfFournisseurNom, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 324, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btFournisseur, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );
        jPanel5Layout.setVerticalGroup(
            jPanel5Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel5Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(jLabelCocktail4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(btFournisseur, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(tfFournisseurNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        tfFournisseurCode.setText("jTextFieldCocktail3");

        jLabelCocktail3.setText("Code");

        org.jdesktop.layout.GroupLayout jPanel6Layout = new org.jdesktop.layout.GroupLayout(jPanel6);
        jPanel6.setLayout(jPanel6Layout);
        jPanel6Layout.setHorizontalGroup(
            jPanel6Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel6Layout.createSequentialGroup()
                .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfFournisseurCode, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 151, Short.MAX_VALUE))
        );
        jPanel6Layout.setVerticalGroup(
            jPanel6Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel6Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(tfFournisseurCode, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        org.jdesktop.layout.GroupLayout jPanel4Layout = new org.jdesktop.layout.GroupLayout(jPanel4);
        jPanel4.setLayout(jPanel4Layout);
        jPanel4Layout.setHorizontalGroup(
            jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel4Layout.createSequentialGroup()
                .add(jPanel6, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(18, 18, 18)
                .add(jPanel5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel4Layout.setVerticalGroup(
            jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
            .add(jPanel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
        );

        jPanel7.setBorder(javax.swing.BorderFactory.createTitledBorder("Références"));

        jLabelCocktail5.setText("N° Prest.");

        tfRefNoPrest.setText("jTextFieldCocktail4");

        jLabelCocktail6.setText("N° Fact.");

        tfRefNoFact.setText("jTextFieldCocktail6");

        org.jdesktop.layout.GroupLayout jPanel7Layout = new org.jdesktop.layout.GroupLayout(jPanel7);
        jPanel7.setLayout(jPanel7Layout);
        jPanel7Layout.setHorizontalGroup(
            jPanel7Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel7Layout.createSequentialGroup()
                .add(jLabelCocktail5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfRefNoPrest, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 123, Short.MAX_VALUE)
                .add(21, 21, 21)
                .add(jLabelCocktail6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfRefNoFact, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 123, Short.MAX_VALUE)
                .add(218, 218, 218))
        );
        jPanel7Layout.setVerticalGroup(
            jPanel7Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel7Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(jLabelCocktail5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(tfRefNoPrest, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(jLabelCocktail6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(tfRefNoFact, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        jPanel8.setBorder(javax.swing.BorderFactory.createTitledBorder("Montants facture"));

        jLabelCocktail8.setText("Ht entre");

        jLabelCocktail9.setText("et");

        tfHtMin.setText("jTextFieldCocktail8");

        tfHtMax.setText("jTextFieldCocktail9");

        tfTtcMin.setText("jTextFieldCocktail10");

        jLabelCocktail10.setText("    Ttc entre");

        jLabelCocktail11.setText("et");

        tfTtcMax.setText("jTextFieldCocktail11");

        org.jdesktop.layout.GroupLayout jPanel8Layout = new org.jdesktop.layout.GroupLayout(jPanel8);
        jPanel8.setLayout(jPanel8Layout);
        jPanel8Layout.setHorizontalGroup(
            jPanel8Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel8Layout.createSequentialGroup()
                .add(jLabelCocktail8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfHtMin, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 94, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabelCocktail9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfHtMax, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 94, Short.MAX_VALUE)
                .add(18, 18, 18)
                .add(jLabelCocktail10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfTtcMin, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 99, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabelCocktail11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfTtcMax, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 98, Short.MAX_VALUE))
        );
        jPanel8Layout.setVerticalGroup(
            jPanel8Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel8Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(jLabelCocktail8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(tfHtMin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(jLabelCocktail9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(tfHtMax, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(jLabelCocktail10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(tfTtcMin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(jLabelCocktail11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(tfTtcMax, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        btFermer.setText("Fermer");

        org.jdesktop.layout.GroupLayout jPanel9Layout = new org.jdesktop.layout.GroupLayout(jPanel9);
        jPanel9.setLayout(jPanel9Layout);
        jPanel9Layout.setHorizontalGroup(
            jPanel9Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel9Layout.createSequentialGroup()
                .add(btFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 90, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(59, Short.MAX_VALUE))
        );
        jPanel9Layout.setVerticalGroup(
            jPanel9Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(btFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
        );

        btRechercher.setText("Rechercher");

        org.jdesktop.layout.GroupLayout jPanel10Layout = new org.jdesktop.layout.GroupLayout(jPanel10);
        jPanel10.setLayout(jPanel10Layout);
        jPanel10Layout.setHorizontalGroup(
            jPanel10Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel10Layout.createSequentialGroup()
                .addContainerGap(68, Short.MAX_VALUE)
                .add(btRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );
        jPanel10Layout.setVerticalGroup(
            jPanel10Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(btRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
        );

        btClean.setText("Nettoyer");

        org.jdesktop.layout.GroupLayout jPanel11Layout = new org.jdesktop.layout.GroupLayout(jPanel11);
        jPanel11.setLayout(jPanel11Layout);
        jPanel11Layout.setHorizontalGroup(
            jPanel11Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel11Layout.createSequentialGroup()
                .addContainerGap(123, Short.MAX_VALUE)
                .add(btClean, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(118, 118, 118))
        );
        jPanel11Layout.setVerticalGroup(
            jPanel11Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(btClean, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
        );

        jPanel12.setBorder(javax.swing.BorderFactory.createTitledBorder("Réf. comptable"));

        jLabelCocktail12.setText("N° Titre ");

        tfRefNoTitre.setText("jTextFieldCocktail1");

        jLabelCocktail13.setText("N° Borde. ");

        tfRefNoBordereau.setText("jTextFieldCocktail2");

        tfRefNoRecette.setText("jTextFieldCocktail7");

        jLabelCocktail7.setText("N° Recette");

        org.jdesktop.layout.GroupLayout jPanel12Layout = new org.jdesktop.layout.GroupLayout(jPanel12);
        jPanel12.setLayout(jPanel12Layout);
        jPanel12Layout.setHorizontalGroup(
            jPanel12Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel12Layout.createSequentialGroup()
                .add(jLabelCocktail7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfRefNoRecette, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 119, Short.MAX_VALUE)
                .add(18, 18, 18)
                .add(jLabelCocktail12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfRefNoTitre, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 119, Short.MAX_VALUE)
                .add(18, 18, 18)
                .add(jLabelCocktail13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfRefNoBordereau, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 124, Short.MAX_VALUE))
        );
        jPanel12Layout.setVerticalGroup(
            jPanel12Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel12Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(tfRefNoBordereau, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(jLabelCocktail13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(tfRefNoTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(jLabelCocktail12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(tfRefNoRecette, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(jLabelCocktail7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        jPanel13.setBorder(javax.swing.BorderFactory.createTitledBorder("Ligne budgétaire"));

        jLabelCocktail14.setText("UB ");

        tfRefUB.setText("jTextFieldCocktail3");

        btOrgan.setText("jButtonCocktail1");

        jLabelCocktail15.setText("CR");

        tfRefCR.setText("jTextFieldCocktail1");

        jLabelCocktail16.setText("Sous-CR");

        tfRefSousCR.setText("jTextFieldCocktail2");

        org.jdesktop.layout.GroupLayout jPanel13Layout = new org.jdesktop.layout.GroupLayout(jPanel13);
        jPanel13.setLayout(jPanel13Layout);
        jPanel13Layout.setHorizontalGroup(
            jPanel13Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel13Layout.createSequentialGroup()
                .add(jLabelCocktail14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfRefUB, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 63, Short.MAX_VALUE)
                .add(18, 18, 18)
                .add(jLabelCocktail15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfRefCR, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 148, Short.MAX_VALUE)
                .add(18, 18, 18)
                .add(jLabelCocktail16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfRefSousCR, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 202, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(btOrgan, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 28, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );
        jPanel13Layout.setVerticalGroup(
            jPanel13Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel13Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(jLabelCocktail14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(btOrgan, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(tfRefUB, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(jLabelCocktail15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(tfRefCR, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(jLabelCocktail16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(tfRefSousCR, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .add(jPanel4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .add(jPanel7, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .add(jPanel12, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .add(jPanel13, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .add(jPanel9, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel10, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(jPanel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 62, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(jPanel10, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(jPanel11, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(jPanel9, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private org.cocktail.application.palette.JButtonCocktail btClean;
    private org.cocktail.application.palette.JButtonCocktail btFermer;
    private org.cocktail.application.palette.JButtonCocktail btFournisseur;
    private org.cocktail.application.palette.JButtonCocktail btOrgan;
    private org.cocktail.application.palette.JButtonCocktail btPeriodeDebut;
    private org.cocktail.application.palette.JButtonCocktail btPeriodeFin;
    private org.cocktail.application.palette.JButtonCocktail btRechercher;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail1;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail10;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail11;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail12;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail13;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail14;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail15;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail16;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail2;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail3;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail4;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail5;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail6;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail7;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail8;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel10;
    private javax.swing.JPanel jPanel11;
    private javax.swing.JPanel jPanel12;
    private javax.swing.JPanel jPanel13;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JPanel jPanel6;
    private javax.swing.JPanel jPanel7;
    private javax.swing.JPanel jPanel8;
    private javax.swing.JPanel jPanel9;
    private org.cocktail.application.palette.JTextFieldCocktail tfFournisseurCode;
    private org.cocktail.application.palette.JTextFieldCocktail tfFournisseurNom;
    private org.cocktail.application.palette.JTextFieldCocktail tfHtMax;
    private org.cocktail.application.palette.JTextFieldCocktail tfHtMin;
    private org.cocktail.application.palette.JTextFieldCocktail tfPeriodeDebut;
    private org.cocktail.application.palette.JTextFieldCocktail tfPeriodeFin;
    private org.cocktail.application.palette.JTextFieldCocktail tfRefCR;
    private org.cocktail.application.palette.JTextFieldCocktail tfRefNoBordereau;
    private org.cocktail.application.palette.JTextFieldCocktail tfRefNoFact;
    private org.cocktail.application.palette.JTextFieldCocktail tfRefNoPrest;
    private org.cocktail.application.palette.JTextFieldCocktail tfRefNoRecette;
    private org.cocktail.application.palette.JTextFieldCocktail tfRefNoTitre;
    private org.cocktail.application.palette.JTextFieldCocktail tfRefSousCR;
    private org.cocktail.application.palette.JTextFieldCocktail tfRefUB;
    private org.cocktail.application.palette.JTextFieldCocktail tfTtcMax;
    private org.cocktail.application.palette.JTextFieldCocktail tfTtcMin;
    // End of variables declaration//GEN-END:variables

    public org.cocktail.application.palette.JButtonCocktail getBtClean() {
        return btClean;
    }

    public org.cocktail.application.palette.JButtonCocktail getBtFermer() {
        return btFermer;
    }

    public org.cocktail.application.palette.JButtonCocktail getBtFournisseur() {
        return btFournisseur;
    }

    public org.cocktail.application.palette.JButtonCocktail getBtPeriodeDebut() {
        return btPeriodeDebut;
    }

    public org.cocktail.application.palette.JButtonCocktail getBtPeriodeFin() {
        return btPeriodeFin;
    }

    public org.cocktail.application.palette.JButtonCocktail getBtRechercher() {
        return btRechercher;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfFournisseurCode() {
        return tfFournisseurCode;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfFournisseurNom() {
        return tfFournisseurNom;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfHtMax() {
        return tfHtMax;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfHtMin() {
        return tfHtMin;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfPeriodeDebut() {
        return tfPeriodeDebut;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfPeriodeFin() {
        return tfPeriodeFin;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfRefNoFact() {
        return tfRefNoFact;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfRefNoPrest() {
        return tfRefNoPrest;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfRefNoTitre() {
        return tfRefNoTitre;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfTtcMax() {
        return tfTtcMax;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfTtcMin() {
        return tfTtcMin;
    }

    private void initInterfaceSuite(){
        getBtClean().setIcone(IconeCocktail.POUBELLE);
        getBtClean().setText("");
        getBtFermer().setIcone(IconeCocktail.FERMER);
        getBtFournisseur().setIcone(IconeCocktail.RECHERCHER);
        getBtFournisseur().setText("");
        getBtOrgan().setIcone(IconeCocktail.RECHERCHER);
        getBtOrgan().setText("");
        getBtPeriodeDebut().setIcone(IconeCocktail.RECHERCHER);
        getBtPeriodeDebut().setText("");
        getBtPeriodeFin().setIcone(IconeCocktail.RECHERCHER);
        getBtPeriodeFin().setText("");
        getBtRechercher().setIcone(IconeCocktail.VALIDER);
        cleanInterfaceRecherche();
        formatteur = new NSTimestampFormatter(CalendarCocktail.FORMAT_DATE);
    }

	public void cleanInterfaceRecherche(){
		getTfFournisseurCode().setText("");
		getTfFournisseurNom().setText("");
		getTfHtMax().setText("");
		getTfHtMin().setText("");
		getTfPeriodeDebut().setText("");
		getTfPeriodeFin().setText("");
		getTfRefNoBordereau().setText("");
		getTfRefNoFact().setText("");
		getTfRefNoPrest().setText("");
		getTfRefNoRecette().setText("");
		getTfRefNoTitre().setText("");
		getTfRefUB().setText("");
		getTfTtcMax().setText("");
		getTfTtcMin().setText("");
		getTfRefCR().setText("");
		getTfRefSousCR().setText("");
		updateUI();
	}

	public void connectBouton(FinderRechercheAvance responder){
		getBtFermer().addDelegateActionListener(responder,FinderFactureRechercheAvance.METHODE_ACTION_ANNULER);
		getBtRechercher().addDelegateActionListener(responder, FinderFactureRechercheAvance.METHODE_ACTION_SELECTIONNER);
		getBtClean().addDelegateActionListener(responder, FinderFactureRechercheAvance.METHODE_ACTION_CLEAN);
		responder.getMonFinderFournisseur().relierBouton(getBtFournisseur());
		getBtPeriodeDebut().addDelegateActionListener(responder,FinderFactureRechercheAvance.METHODE_ACTION_DATE_DEBUT);
		getBtPeriodeFin().addDelegateActionListener(responder,FinderFactureRechercheAvance.METHODE_ACTION_DATE_FIN);
		responder.getMonFinderOrgan().relierBouton(getBtOrgan());
	}

	public void actionClean(){
		cleanInterfaceRecherche();
	}

	public void setPeriodeDateDebut(NSTimestamp date){
		if(date==null)
			getTfPeriodeDebut().setText("");
		else
			getTfPeriodeDebut().setText(formatteur.format(date));
	}

	public NSTimestamp periodeDateDebut(){
		if(getTfPeriodeDebut().getText()==null || "".equals(getTfPeriodeDebut().getText()))
			return null;
		try {
			return DateCtrl.stringToDate(getTfPeriodeDebut().getText(), CalendarCocktail.FORMAT_DATE);
		} catch (Throwable e) {
			e.printStackTrace();
		}
		return null;
	}

	public void setPeriodeDateFin(NSTimestamp date){
		if(date==null)
			getTfPeriodeFin().setText("");
		else
			getTfPeriodeFin().setText(formatteur.format(date));
	}

	public NSTimestamp periodeDateFin(){
		if(getTfPeriodeFin().getText()==null || "".equals(getTfPeriodeFin().getText()))
			return null;
		try {
			return DateCtrl.stringToDate(getTfPeriodeFin().getText(), CalendarCocktail.FORMAT_DATE);
		} catch (Throwable e) {
			e.printStackTrace();
		}
		return null;
	}

	public void setFournisseur(VFournisseur fournis){
		if(fournis==null)
		{
			getTfFournisseurCode().setText("");
			getTfFournisseurNom().setText("");
		}
		else
		{
			getTfFournisseurCode().setText(fournis.fouCode());
			getTfFournisseurNom().setText(fournis.adrNom());
		}
	}

	public void setOrgan(EOOrgan organ){
		if(organ==null)
		{
			getTfRefUB().setText("");
			getTfRefCR().setText("");
			getTfRefSousCR().setText("");
		}
		else
		{
			getTfRefUB().setText(organ.orgUb());
			getTfRefCR().setText(organ.orgCr());
			getTfRefSousCR().setText(organ.orgSouscr());
		}
	}

    public org.cocktail.application.palette.JButtonCocktail getBtOrgan() {
        return btOrgan;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfRefNoBordereau() {
        return tfRefNoBordereau;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfRefNoRecette() {
        return tfRefNoRecette;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfRefUB() {
        return tfRefUB;
    }

    public void setEnableSearchRecette(boolean bool){
    	responder.setEnabledComposant(getTfRefNoRecette(),bool);
    	responder.setEnabledComposant(getTfRefNoTitre(),bool);
    	responder.setEnabledComposant(getTfRefNoBordereau(),bool);
    	responder.setEnabledComposant(getTfRefUB(), bool);
    	responder.setEnabledComposant(getTfRefCR(), bool);
    	responder.setEnabledComposant(getTfRefSousCR(), bool);
    	responder.setEnabledComposant(getBtOrgan(), bool);
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfRefCR() {
        return tfRefCR;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfRefSousCR() {
        return tfRefSousCR;
    }

}
